org.springframework.jms

## Class MessageEOFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException
          - - org.springframework.jms.MessageEOFException

- All Implemented Interfaces:
    Serializable

      public class MessageEOFException
      extends JmsException

  Runtime exception mirroring the JMS MessageEOFException.
  Since:
    1.1
  Author:
    Mark Pollack
  See Also:
    `MessageEOFException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageEOFException(MessageEOFException cause)`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.jms.JmsException

      `getErrorCode, getMessage`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageEOFException

          public MessageEOFException(MessageEOFException cause)